import { Base, Point, IList$1, Type } from "igniteui-angular-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { TrendLineManagerType } from "./TrendLineManagerType";
import { Polyline } from "igniteui-angular-core";
import { TrendLineType } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Clipper } from "igniteui-angular-core";
import { TrendResolutionParams } from "./TrendResolutionParams";
import { Canvas } from "igniteui-angular-core";
import { Series } from "./Series";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class TrendLineManagerBase extends Base implements ITrendLineManager {
    static $t: Type;
    abstract get g$a(): TrendLineManagerType;
    protected a: number[];
    constructor();
    get g$n(): Polyline;
    private readonly h;
    private b;
    get g$c(): boolean;
    g$b: TrendLineType;
    g$f: number;
    g$d: boolean;
    g$k(a: List$1<Point>): void;
    protected d(a: TrendLineType): boolean;
    protected c(a: TrendLineType): boolean;
    g$l(a: List$1<Point>, b: Clipper): void;
    protected f(a: IList$1<Point>, b: TrendResolutionParams, c: List$1<Point>): void;
    protected g(a: IList$1<Point>, b: TrendResolutionParams, c: List$1<Point>, d: Clipper): void;
    g$g(a: Canvas, b: Series): void;
    g$j(): void;
    g$h(): void;
    g$m(): void;
    abstract e(): void;
    g$i(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    g$e(a: any, b: string, c: any, d: any): boolean;
}
